# Activating abort on error
$global:ErrorActionPreference = "Stop"

### aqua ##############################

$global:webserviceUrl = "http://aqua-server/aquaAPI/MainService.asmx"
$global:apiUser = ""
$global:apiPassword = ""

#This license is assigned to new users
$global:licenseProfileCode = "basic"
$global:floatingLicense = $true

# New users are assigned to the default project with the default role
# When the project or role name is empty, no project assignment is created
$global:defaultProjectName = ""
$global:defaultRoleName = ""

## LDAP / AD ##########################

# The server name and port (LDAP) or a domain name (AD) of the directory server.
# Example:
# "127.0.0.1:389" connect to a LDAP server running on the local host
# $null connect to the domain of the user/computer executing the script
$global:directoryServer = $null
$global:directoryServerUseTLS = $false

# Username and password for connecting to the directory server.
# You can leave this empty if:
# - the directory server does not require authentication
# - you are executing the script as a domain user against the domain (your credentials are used implicitly)
#
# !!! WARNING !!!
# If the password contains '$' character it needs to be escaped with back-tick character e.g. "pas`$word"

$global:lookupUsername = ""
$global:lookupUserPassword = "" 

# $baseDN defines a distinguished-name of branch where to look for aqua users (recursively)
# Example: "OU=User,OU=Company,DC=local"
$global:baseDN = ""

# $aquaUsersQuery is an LDAP query intended to match all users (in scope of $baseDN) that should be synchrionized with aqua
# Example: "(memberOf=CN=AquaGroup,OU=Groups,OU=Company,DC=local)" 
$global:aquaUsersQuery = "(&(objectClass=user)(objectCategory=person))"

# The $aqua*Attribute-s define mapping of LDAP attributes to aqua users fields
# Examples (valid for Active Directory):
# $global:aquaLoginAttribute = "SAMAccountName"
# $global:aquaEmailAttribute = "mail"
# $global:aquaFirstNameAttribute = "givenname"
# $global:aquaLastNameAttribute = "sn"

$global:aquaLoginAttribute = ""
$global:aquaEmailAttribute = ""
$global:aquaFirstNameAttribute = ""
$global:aquaLastNameAttribute = ""

### Configuration #####################

# The following options can be enabled when users which are missing in the LDAP result
# should be deactivated in aqua. Two options are available (only activate one):
#  - deactivateKnownMissingUsers: deactivate users in aqua which where at some point part of the LDAP result
#  - deactivateAllMissingUsers:  deactivate ALL users which are not present in the LDAP result or on the whitelist
# 
# !!! WARNING !!!
# Before enabling deactivateAllMissingUsers carefully review your LDAP query and the whitelist. You could lock
# yourself out. We STRONGLY recommend to add at least a couple of global administrators to the whitelist.
$global:deactivateKnownMissingUsers = $false
$global:deactivateAllMissingUsers = $false
# Whitelist of aqua users which should not be deactivated.
# Multiple users can be specified as follows: $global:userWhiteList = @($global:apiUser, "Administrator")
$global:userWhiteList = @($global:apiUser)
