### Helper functions ###
function LogWrite {
Param ([string]$logString, [string]$logLevel)
    $logFolder = Split-Path $global:logfile -Parent
    if(-not (Test-Path $logFolder))
    {
        $dummy = New-Item -ItemType directory -Path $logFolder
    }
    $nowDateTime = Get-Date -format "yyyy-MM-ddTHH:mm:ss"
    Out-File -FilePath $global:logfile -Encoding utf8 -InputObject "$logLevel $nowDateTime - $logString" -Append
}

function LogInfo {
Param ([string]$logString)
    LogWrite $logString "INFO " 
}

function LogError {
Param ([string]$logString)
    LogWrite $logString  "ERROR"
}